package com.lantone.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: SoftwareRoleDataAuthDetailDTO
 * @Description: 服务、角色、数据权限明细关联对象
 * @Author songxl
 * @Date 2021/7/22
 * @Version 1.0
 */
@Data
public class SoftwareRoleDataAuthDetailDTO {
    @ApiModelProperty(value = "服务、角色、数据权限关联id")
    private Long softwareRoleDataAuthDetailId;
    @ApiModelProperty(value = "系统数据权限id")
    private Long softwareDataAuthId;
    @ApiModelProperty(value = "数据权限详情id")
    private Long detail;
    @ApiModelProperty(value = "数据权限id")
    private Long dataAuthId;
    @ApiModelProperty(value = "数据权限名称")
    private String dataAuthName;
    @ApiModelProperty(value = "数据权限启用禁用状态")
    private String status;
    @ApiModelProperty(value = "数据范围类型：：1:全部组织,2:全部科室,3:全部科室除本科室外,4:本科室,5:本医疗组,6:本人,7:自定义")
    private Integer dataType;
    @ApiModelProperty(value = "detail_id的类型 1：detail_id为医院id 2：为科室id3：为医生id")
    private Integer detailType;
    @ApiModelProperty(value = "医院、科室、医生id")
    private Long detailId;
    @ApiModelProperty(value = "系统id")
    private Long softwareId;

    @ApiModelProperty(value = "系统名称")
    private String softwareName;
    @ApiModelProperty(value = "角色id")
    private Long roleId;
    @ApiModelProperty(value = "角色名称")
    private String roleName;

}
