package com.lantone.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 用户实体类
 * </p>
 */
@Data
public class AddHospitalUserVO implements Serializable {

    private static final long serialVersionUID = 1L;



    @ApiModelProperty(value = "用户名" ,required = true)
    @NotBlank(message = "用户名不能为空")
    private String username;

    @ApiModelProperty(value = "密码",required = true)
    @NotBlank(message = "密码不能为空")
    private String password;

    @ApiModelProperty(value = "联系人")
    private String name;


    @ApiModelProperty(value = "手机号")
    private String mobilePhone;


    @ApiModelProperty(value = "记录创建时间" ,hidden = true)
    private Date gmtCreate;


    @ApiModelProperty(value = "创建人，0表示无创建人值",hidden = true)
    private String creator;

}